org.icefaces.ace.component.textareaentry

## Interface ITextAreaEntry

- All Known Implementing Classes:
    TextAreaEntry, TextAreaEntryBase

      public interface ITextAreaEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getIndicatorPosition()`
    `java.lang.String` | `getLabelPosition()`
    `int` | `getMaxlength()`
    `java.lang.String` | `getOptionalIndicator()`
    `java.lang.String` | `getRequiredIndicator()`
    `java.lang.String` | `getTabindex()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isDisabled()`
    `boolean` | `isReadonly()`
    `boolean` | `isResizable()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)`
    `void` | `setLabelPosition(java.lang.String labelPosition)`
    `void` | `setMaxlength(int maxlength)`
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)`
    `void` | `setReadonly(boolean readonly)`
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)`
    `void` | `setResizable(boolean resizable)`
    `void` | `setTabindex(java.lang.String tabindex)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setIndicatorPosition

          void setIndicatorPosition(java.lang.String indicatorPosition)

    - #### getIndicatorPosition

          java.lang.String getIndicatorPosition()

    - #### setLabelPosition

          void setLabelPosition(java.lang.String labelPosition)

    - #### getLabelPosition

          java.lang.String getLabelPosition()

    - #### setMaxlength

          void setMaxlength(int maxlength)

    - #### getMaxlength

          int getMaxlength()

    - #### setOptionalIndicator

          void setOptionalIndicator(java.lang.String optionalIndicator)

    - #### getOptionalIndicator

          java.lang.String getOptionalIndicator()

    - #### setReadonly

          void setReadonly(boolean readonly)

    - #### isReadonly

          boolean isReadonly()

    - #### setRequiredIndicator

          void setRequiredIndicator(java.lang.String requiredIndicator)

    - #### getRequiredIndicator

          java.lang.String getRequiredIndicator()

    - #### setResizable

          void setResizable(boolean resizable)

    - #### isResizable

          boolean isResizable()

    - #### setTabindex

          void setTabindex(java.lang.String tabindex)

    - #### getTabindex

          java.lang.String getTabindex()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.